package com.bytedance.android.livesdk.livesetting.comment;

import X.MLb;
import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.android.live_settings.SettingsManager;
import com.bytedance.covode.number.Covode;

@SettingsKey("live_comment_input_dialog_dismiss_fix")
public final class LiveCommentInputDialogDismissFixSetting {
    @Group(isDefault = true, value = "default group")
    public static final MLb DEFAULT = new MLb();
    public static final LiveCommentInputDialogDismissFixSetting INSTANCE = new LiveCommentInputDialogDismissFixSetting();

    public static final MLb getValue() {
        MLb mLb = (MLb) SettingsManager.INSTANCE.getValueSafely(LiveCommentInputDialogDismissFixSetting.class);
        if (mLb == null) {
            return DEFAULT;
        }
        return mLb;
    }

    static {
        Covode.recordClassIndex(17751);
    }
}
